### Changelog

All notable changes to this project will be documented in this file. Dates are displayed in UTC.

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

#### [v0.8.3](https://github.com/TNK-Studio/lazykube/compare/v0.8.2...v0.8.3)

> 27 November 2020

- docs: update change log [`d8b4fb2`](https://github.com/TNK-Studio/lazykube/commit/d8b4fb247228d69b5e2b334f1750f1f4f33c25ac)
- fix: fix focus function [`563952e`](https://github.com/TNK-Studio/lazykube/commit/563952e5b63647fa0f2500b652ec6c96f9ab8ac4)

#### [v0.8.2](https://github.com/TNK-Studio/lazykube/compare/v0.8.1...v0.8.2)

> 26 November 2020

- fix: fix rerender [`#49`](https://github.com/TNK-Studio/lazykube/pull/49)
- docs: update change log [`8842dbc`](https://github.com/TNK-Studio/lazykube/commit/8842dbc142f71f39d0ca75ca049ec48184272773)

#### [v0.8.1](https://github.com/TNK-Studio/lazykube/compare/v0.8.0...v0.8.1)

> 26 November 2020

- docs: update change log [`63cc3a5`](https://github.com/TNK-Studio/lazykube/commit/63cc3a5da368d5add00ad26348b2ec88d0ec54dd)
- chore: fix .github/workflows/release.yml [`6279f1d`](https://github.com/TNK-Studio/lazykube/commit/6279f1d11bc6ea630b20b5de514cab6833ad400a)

#### [v0.8.0](https://github.com/TNK-Studio/lazykube/compare/v0.7.1...v0.8.0)

> 26 November 2020

- feat: add release version checkout [`#48`](https://github.com/TNK-Studio/lazykube/pull/48)
- feat: change context [`#47`](https://github.com/TNK-Studio/lazykube/pull/47)
- Issue 42 [`#46`](https://github.com/TNK-Studio/lazykube/pull/46)
- style: delete unused code [`a1958f9`](https://github.com/TNK-Studio/lazykube/commit/a1958f937e8e15d30983db65ffe8fd0c2a61ec92)
- docs: update change log [`1820cbb`](https://github.com/TNK-Studio/lazykube/commit/1820cbbd3165081848e4144fee044cf302e149a2)

#### [v0.7.1](https://github.com/TNK-Studio/lazykube/compare/v0.7.0...v0.7.1)

> 25 November 2020

- fix: issue #43 [`#44`](https://github.com/TNK-Studio/lazykube/pull/44)
- docs: update change log [`ad07210`](https://github.com/TNK-Studio/lazykube/commit/ad07210e78cc081e437903de82164d3102ed3777)

#### [v0.7.0](https://github.com/TNK-Studio/lazykube/compare/v0.6.0...v0.7.0)

> 24 November 2020

- feat: copy selected line [`#41`](https://github.com/TNK-Studio/lazykube/pull/41)
- feat: select pod logs container [`#40`](https://github.com/TNK-Studio/lazykube/pull/40)
- [WIP] feat: Command support - kubectl exec [`#38`](https://github.com/TNK-Studio/lazykube/pull/38)
- Fully automate dev setup with Gitpod [`#34`](https://github.com/TNK-Studio/lazykube/pull/34)
- docs: update change log [`14437cc`](https://github.com/TNK-Studio/lazykube/commit/14437cc3b1bdb91a34ebc5ec2f14789d036c690c)
- docs: update change log [`6c1ac1f`](https://github.com/TNK-Studio/lazykube/commit/6c1ac1f31185fe56025efc0427a179ec09f1847f)
- Update .gitpod.Dockerfile [`7ffbd8b`](https://github.com/TNK-Studio/lazykube/commit/7ffbd8b5b26aaf63234fe416b61d0280bcd11fbb)

#### [v0.6.0](https://github.com/TNK-Studio/lazykube/compare/v0.5.0...v0.6.0)

> 23 November 2020

- refactor: refactor logs. [`#33`](https://github.com/TNK-Studio/lazykube/pull/33)
- docs: update change log [`4fa1d85`](https://github.com/TNK-Studio/lazykube/commit/4fa1d8580e06e97f29356fdf1bd4cc1034d71cf7)

#### [v0.5.0](https://github.com/TNK-Studio/lazykube/compare/v0.4.2...v0.5.0)

> 22 November 2020

- feat: Add custom resource panel. [`#32`](https://github.com/TNK-Studio/lazykube/pull/32)
- docs: update change log [`b099a93`](https://github.com/TNK-Studio/lazykube/commit/b099a93ee6f22013ae3a051f8f9f40cdb95620ea)

#### [v0.4.2](https://github.com/TNK-Studio/lazykube/compare/v0.4.1...v0.4.2)

> 21 November 2020

- fix: add gcp、azure and openstack ... client auth provider [`#31`](https://github.com/TNK-Studio/lazykube/pull/31)
- docs: update change log [`00f668c`](https://github.com/TNK-Studio/lazykube/commit/00f668c6fa7b56b98d6e648c739852f030a13041)

#### [v0.4.1](https://github.com/TNK-Studio/lazykube/compare/v0.4.0...v0.4.1)

> 21 November 2020

- refactor: optimize rollout restart deployment [`#29`](https://github.com/TNK-Studio/lazykube/pull/29)
- docs: update change log [`16c300d`](https://github.com/TNK-Studio/lazykube/commit/16c300d74b018940e229317eaa26c603ff5b6e1c)

#### [v0.4.0](https://github.com/TNK-Studio/lazykube/compare/v0.3.1...v0.4.0)

> 21 November 2020

- feat: rollout restart deployment [`#28`](https://github.com/TNK-Studio/lazykube/pull/28)
- refactor: add keymap.go [`#27`](https://github.com/TNK-Studio/lazykube/pull/27)
- docs: update change log [`bf6e4fe`](https://github.com/TNK-Studio/lazykube/commit/bf6e4fe257f6819daa141bc4ee3d676138d56206)

#### [v0.3.1](https://github.com/TNK-Studio/lazykube/compare/v0.3.0...v0.3.1)

> 20 November 2020

- fix: fix some bug [`#24`](https://github.com/TNK-Studio/lazykube/pull/24)
- docs: update change log [`738ee9a`](https://github.com/TNK-Studio/lazykube/commit/738ee9a78c870ade421ed46ef9ae207db11f1b17)

#### [v0.3.0](https://github.com/TNK-Studio/lazykube/compare/v0.2.3...v0.3.0)

> 19 November 2020

- Feat edit resource [`#22`](https://github.com/TNK-Studio/lazykube/pull/22)
- fix: cluster info navitation [`#21`](https://github.com/TNK-Studio/lazykube/pull/21)
- docs: update change log [`361e334`](https://github.com/TNK-Studio/lazykube/commit/361e3348503ac04ef50d073ee7bdd8b407f954bd)
- docs: update change log [`6963134`](https://github.com/TNK-Studio/lazykube/commit/6963134bdc7261a809e0cd80941e3bd6f6855ad7)
- fix: fix edit resource [`6f29f7c`](https://github.com/TNK-Studio/lazykube/commit/6f29f7c1e62aa433af46ebe429ccb19ad3696f2e)

#### [v0.2.3](https://github.com/TNK-Studio/lazykube/compare/v0.2.2...v0.2.3)

> 18 November 2020

- docs: add README_CN.md [`ee6b20a`](https://github.com/TNK-Studio/lazykube/commit/ee6b20a63de1f8b590abe58aed4087eb6651c674)
- docs: update change log [`2b08e45`](https://github.com/TNK-Studio/lazykube/commit/2b08e45d0ec39650f68d5ef0fb05bb79d045872b)

#### [v0.2.2](https://github.com/TNK-Studio/lazykube/compare/v0.2.1...v0.2.2)

> 18 November 2020

- fix: fix views style [`ca2bdf4`](https://github.com/TNK-Studio/lazykube/commit/ca2bdf4f44af0778060ac972822f16c7e3f0b0c8)
- docs: update change log [`9b90f8c`](https://github.com/TNK-Studio/lazykube/commit/9b90f8c32f316a7d6d4072254e65fadb3364d12a)

#### [v0.2.1](https://github.com/TNK-Studio/lazykube/compare/v0.2.0...v0.2.1)

> 18 November 2020

- chore: modify actions [`#18`](https://github.com/TNK-Studio/lazykube/pull/18)
- fix: golang.org/x/sys [`ef952f7`](https://github.com/TNK-Studio/lazykube/commit/ef952f73975a459ea2e3285583936156fd7c819e)

#### [v0.2.0](https://github.com/TNK-Studio/lazykube/compare/v0.1.2...v0.2.0)

> 18 November 2020

- feat: add resource filter dialog. [`#17`](https://github.com/TNK-Studio/lazykube/pull/17)
- feat: add resource filter dialog [`7a90453`](https://github.com/TNK-Studio/lazykube/commit/7a90453b8ad08f8e64107d5f1b8c26aecd81d72a)
- feat: filter dialog [`71f52e2`](https://github.com/TNK-Studio/lazykube/commit/71f52e28b0ac1ec5c698eeb0f5b59d809af952bc)
- feat: add dialog [`591b52b`](https://github.com/TNK-Studio/lazykube/commit/591b52bee1fe7554178630f12b66d2eb9778a168)

#### [v0.1.2](https://github.com/TNK-Studio/lazykube/compare/v0.1.1...v0.1.2)

> 17 November 2020

- fix: #15 [`#16`](https://github.com/TNK-Studio/lazykube/pull/16)
- chore: modify actions [`#14`](https://github.com/TNK-Studio/lazykube/pull/14)
- chore: add changelog ci [`#11`](https://github.com/TNK-Studio/lazykube/pull/11)
- docs: update readme. add faq [`#10`](https://github.com/TNK-Studio/lazykube/pull/10)
- fix: Fixed a BUG where the program quits when the K8s API Server returns an error [`4dd8f9a`](https://github.com/TNK-Studio/lazykube/commit/4dd8f9a6222d1a25bb82443e26cad23bf226a956)
- chore: add gitee mirror action [`25fd0f0`](https://github.com/TNK-Studio/lazykube/commit/25fd0f038ce07c41f9d6d4b796a4c8f71f50bacb)

#### [v0.1.1](https://github.com/TNK-Studio/lazykube/compare/v0.1.0...v0.1.1)

> 16 November 2020

- Dev [`#9`](https://github.com/TNK-Studio/lazykube/pull/9)
- fix: .github/workflows/homebrew-tap.yml [`7e931f0`](https://github.com/TNK-Studio/lazykube/commit/7e931f0c94d50a9dfe274ed3cb7f8eacf6e1a4e2)
- Update homebrew-tap.yml [`423caa4`](https://github.com/TNK-Studio/lazykube/commit/423caa43e3697eebbd59576a35d0f72927a26e47)
- docs: modify readme [`c6091be`](https://github.com/TNK-Studio/lazykube/commit/c6091be52028d6860054cc3956e6f19bf4d43abb)

#### v0.1.0

> 15 November 2020

- feat: modify render plot [`#7`](https://github.com/TNK-Studio/lazykube/pull/7)
- Dev [`#6`](https://github.com/TNK-Studio/lazykube/pull/6)
- Dev [`#5`](https://github.com/TNK-Studio/lazykube/pull/5)
- feat: add kubecli and navigation actions. [`#4`](https://github.com/TNK-Studio/lazykube/pull/4)
- feat: add Navigation View [`#3`](https://github.com/TNK-Studio/lazykube/pull/3)
- feat: add ViewClickHandler [`#2`](https://github.com/TNK-Studio/lazykube/pull/2)
- Dev [`#1`](https://github.com/TNK-Studio/lazykube/pull/1)
- init [`e60a15a`](https://github.com/TNK-Studio/lazykube/commit/e60a15aaed1232b328bab2896657cd7abe92b17f)
- feat: add kubecli.KubeCLI [`453259d`](https://github.com/TNK-Studio/lazykube/commit/453259dd37c54ed11562cadea63d92fd3c595f7b)
- fix: fix detail view [`5f27486`](https://github.com/TNK-Studio/lazykube/commit/5f2748638b318b24e68e734b5e94446f1d964760)
